Table of Contents

Class SearchResponse

Namespace
McServerLauncher.Models.Modrinth
Assembly
McServerLauncher.dll

One page of search results (GET /v2/search). TotalHits is what tells the store whether there is more to load, since a full page is not by itself proof that there is.

public class SearchResponse
Inheritance
SearchResponse
Inherited Members

Properties

Hits

[JsonPropertyName("hits")]
public List<ProjectResult> Hits { get; set; }

Property Value

List<ProjectResult>

Limit

[JsonPropertyName("limit")]
public int Limit { get; set; }

Property Value

int

Offset

[JsonPropertyName("offset")]
public int Offset { get; set; }

Property Value

int

TotalHits

[JsonPropertyName("total_hits")]
public int TotalHits { get; set; }

Property Value

int